function evaluate_clutter()
fprintf('Running on Clutter\n');
[config, file_info] = config_clutter();

n_feats = length(config.feat_sets);
for split_ind = 1:size(config.splits, 1)
    train_split = config.splits(split_ind, 1);
    config.split_name = [config.split_root '_' num2str(split_ind)];

    feat_types = make_feat_set(config);
    preprocess_depth(config, file_info);
    compute_segments(config, file_info);
    compute_features(config, file_info, false);

    model_name = ['complete_' config.model_params.model_type '_model.mat'];
    model_dir = fullfile(config.paths.model_results, 'models', config.split_name);
    complete_model_path = fullfile(model_dir, model_name);

    if exist(complete_model_path, 'file')
        fprintf('Loading complete model from %s\n', complete_model_path);
        load(complete_model_path, 'model');
    else
        error('Model does not exist');
    end

    predict_and_save_images(config, file_info, feat_types, model);
end

end
